Open topic with navigation

TIBCO® Patterns 6.1.2

| ibi Patterns .NET API

Loading...
Searching...
No Matches
Public Member Functions | List of all members
NetricsServerInterface.NetricsSearchResult Class Reference

This class extends NetricsMappedRecord adding information relevant to a search result (match score, etc.). More...

## Public Member Functions
int[] | getCharMatchStrengths (String fieldName)
| Returns the match strength information for a field in the record.
int[] | getCharMatchStrengths (int fieldNo)
| Returns the match strength information for a field in the record.
double[] | getDblCharMatchStrengths (String fieldName)
| Returns the precomputed visualization strengths for this field.
double[] | getDblCharMatchStrengths (int fieldNo)
| Returns the precomputed visualization strengths for this field.
String | getHtml (String fieldName)
| Gets an HTML visualized field from the record.
String | getHtml (int fieldNo)
| Gets an HTML visualized field from the record.
double | getMatchScore ()
| Get the overall match score for this record.
double | getNormMatchScore ()
| A score from 0 to 1.0 indicating the normal match strength for this record.
double | getRevMatchScore ()
| A score from 0 to 1.0 indicating the reverse match strength for this record.
double | getSymMatchScore ()
| A score from 0 to 1.0 indicating the symmetric match strength for this record.
double | getMinMatchScore ()
| A score from 0 to 1.0 indicating the minimum of the normal and reverse match strengths for this record.
double | getMaxMatchScore ()
| A score from 0 to 1.0 indicating the maximum of the normal and reverse match strengths for this record.
double | getRlScore ()
| Obsolete. Use getMatchScore instead.
double[] | getRlFeatureScores ()
| A score from 0 to 1.0 for each feature processed by the ibi Patterns - Search Learn Model.
double | getITMatchScore ()
| A score from 0 to 1.0 indicating the information theoretic score for this record.
double[] | getMatchScoreQlt ()
| An array of match scores, one per querylet supplied for the source table.
double[] | getNormMatchScoreQlt ()
| The per-querylet normal match scores.
double[] | getRevMatchScoreQlt ()
| The per-querylet reverse match scores.
double[] | getSymMatchScoreQlt ()
| The per-querylet symmetric match scores.
double[] | getITMatchScoreQlt ()
| The per-querylet IT match scores.
double[] | getRlSignificances ()
| Get the Learn Model (RLINK) significance values.
double | getRlConfidence ()
| Get the Learn Model (RLINK) confidence measure.
String[] | getNamedQlts ()
| Get the list of named querlets, null if none.
double[] | getNamedQltScoresArray ()
| Get this list of named querylet scores, null if none.
double[] | getNamedQltConfidenceArray ()
| Get the list of named querylet confidence measures, null if none.
double | getNamedQltConfidence (String qlet_name)
| Get the confidence measure of the named querylet.
double | getNamedQltScore (String qlet_name)
| Get the match score of the named querylet.
String | getSrcTblName ()
| The name of the table from which the record came - is useful only for multi-table searches.
String | getSrcTblInfo ()
| The table info field for the table from which the record came.
String | getMatchType ()
| Whether the match is phonetic or typographic.
int | getMatchRank ()
| The ordinal ranking of this record.
bool | getDirtyState ()
| Get the dirty state for this record.
Public Member Functions inherited from NetricsServerInterface.NetricsMappedRecord
int[] | getFieldTypes ()
| Returns an array of integers which are the types of the fields for the source table of the record.
String[] | getFieldNames ()
| Returns an array of Strings which are the names of the fields for the source table of the record.
String | getField (String fieldName)
| Returns the contents of a field in the record.
String | getField (int fieldNo)
| Returns the contents of a field in the record.
String[] | getAttrNames (String field_name)
| Return a list of attribute names for a field.
String | getAttribute (String field_name, String attr_name)
| Return an attribute value for a particular field and attribute.
Public Member Functions inherited from NetricsServerInterface.NetricsRecord
| NetricsRecord (String key, String parent_key, String[] fields)
| Create a NetricsRecord object.
| NetricsRecord (String key, String parent_key, String[] fields, String[] attr_names, String[] attr_values)
| Create a NetricsRecord object.
| NetricsRecord (String key, String[] fields, String[] attr_names, String[] attr_values)
| Create a NetricsRecord object.
| NetricsRecord (String key, String[] fields)
| Create a NetricsRecord object.
Public Member Functions inherited from NetricsServerInterface.NetricsBaseRecord
String | getKey ()
| Get the key of a record.
String | getParentKey ()
| Retrieve the parent key of a record.
int | numBytes ()
| Return the number of bytes of data in this record.
String[] | getFields ()
| Can be used to get the content of a record.
String[] | getAttrNames ()
| Returns the names of name/value attributes of the record.
String[] | getAttrValues ()
| Returns the values of name/value attributes of the record.
String | getAttribute (String attr_name)
| Gets the specified attribute value of the record.
override String | ToString ()

## Additional Inherited Members
Public Types inherited from NetricsServerInterface.NetricsRecord
enum | ChildType { ORPHANS , NONORPHANS , ALL }
| The different types of child records. More...

## Detailed Description

This class extends NetricsMappedRecord adding information relevant to a search result (match score, etc.).

For a joined search the result is a joined record, a record containing all the fields from all of the tables in the join. See the ibi Patterns Concepts Guide for more information on joined records.

See also
  NetricsSearchResponse

## Member Function Documentation

## ◆ getCharMatchStrengths() [1/2]

int[] NetricsServerInterface.NetricsSearchResult.getCharMatchStrengths | ( | int | fieldNo | ) |
| inline

Returns the match strength information for a field in the record.

Parameters

  fieldNo | The number of the field for which to return its match strength information.

Returns
  An integer array with one value in the array for each character in the given field.

## ◆ getCharMatchStrengths() [2/2]

int[] NetricsServerInterface.NetricsSearchResult.getCharMatchStrengths | ( | String | fieldName | ) |
| inline

Returns the match strength information for a field in the record.

The core search algorithm creates match strengths for each character in a matching record. These strenghths are represented as an integer from 0 to 6 where 6 is the highest quality match and 0 indicates no match.

Parameters

  fieldName | The name of the field for which to return its match strength information.

Returns
  An integer array with one value in the array for each character in the given field.

## ◆ getDblCharMatchStrengths() [1/2]

double[] NetricsServerInterface.NetricsSearchResult.getDblCharMatchStrengths | ( | int | fieldNo | ) |
| inline

Returns the precomputed visualization strengths for this field.

Parameters

  fieldNo | The number of the field for which to return its match strength information.

Returns
  A double array with one value in the array for each character in the given field. Values are between 0.0 and 1.0.

## ◆ getDblCharMatchStrengths() [2/2]

double[] NetricsServerInterface.NetricsSearchResult.getDblCharMatchStrengths | ( | String | fieldName | ) |
| inline

Returns the precomputed visualization strengths for this field.

Parameters

  fieldName | The name of the field for which to return its match strength information.

Returns
  A double array with one value in the array for each character in the given field. Values are between 0.0 and 1.0.

## ◆ getDirtyState()

bool NetricsServerInterface.NetricsSearchResult.getDirtyState | ( |  | ) |
| inline

Get the dirty state for this record.

This returns true if theis record is in a dirty state. A dirty record is one that has been modified by a transaction that is still open, i.e. not yet committed or aborted. As the transaction is incomplete a dirty record may represent an intermediate state or it may get removed or rolled back if the transaction is aborted. The user my wish to ignore dirty records.

Returns
  True if record is dirty, False otherwise.

## ◆ getHtml() [1/2]

String NetricsServerInterface.NetricsSearchResult.getHtml | ( | int | fieldNo | ) |
| inline

Gets an HTML visualized field from the record.

Gets the content of a given field with matching characters visualized using HTML. Parameters for the visualization can be set in the NetricsSearchOpts object.

Parameters

  fieldNo | The index of the field for which to get the HTML visualized string.

See also
  NetricsSearchOpts

## ◆ getHtml() [2/2]

String NetricsServerInterface.NetricsSearchResult.getHtml | ( | String | fieldName | ) |
| inline

Gets an HTML visualized field from the record.

Gets the content of a given field with matching characters visualized using HTML. Parameters for the visualization can be set in the NetricsSearchOpts object.

Parameters

  fieldName | The name of the field for which to get the HTML visualized string.

See also
  NetricsSearchOpts

## ◆ getITMatchScore()

double NetricsServerInterface.NetricsSearchResult.getITMatchScore | ( |  | ) |
| inline

A score from 0 to 1.0 indicating the information theoretic score for this record.

Contact your ibi Patterns support representative if you're interested in learning how IT scores are computed.

## ◆ getMatchRank()

int NetricsServerInterface.NetricsSearchResult.getMatchRank | ( |  | ) |
| inline

The ordinal ranking of this record.

Returns
  An integer ranking which will be between the requested start match and the start match plus the number requested.

## ◆ getMatchScore()

double NetricsServerInterface.NetricsSearchResult.getMatchScore | ( |  | ) |
| inline

Get the overall match score for this record.

Returns
  One of the three scores below depending on the scoreType passed in the NetricsSearchOpts object (NormMatchScore by default). See the section on score types for more information.

See also
  NetricsSearchOpts.scoreType(NetricsSearchOpts.score_types)

## ◆ getMatchScoreQlt()

double[] NetricsServerInterface.NetricsSearchResult.getMatchScoreQlt | ( |  | ) |
| inline

An array of match scores, one per querylet supplied for the source table.

If a querylet is specified per field in the table, this method can be used to determine which fields contributed to the match. See the section on score types for more information.

See also
  NetricsSearchOpts.scoreType(NetricsSearchOpts.score_types)

## ◆ getMatchType()

String NetricsServerInterface.NetricsSearchResult.getMatchType | ( |  | ) |
| inline

Whether the match is phonetic or typographic.

If you are running the phonetic version of ther server, a match can either be phonetic or typographic. The two types of matches can be interspersed with each other, and this method allows you to determine the type of match for this record.

Returns
  Either the String "phonetic", or the String "typographic".

## ◆ getMaxMatchScore()

double NetricsServerInterface.NetricsSearchResult.getMaxMatchScore | ( |  | ) |
| inline

A score from 0 to 1.0 indicating the maximum of the normal and reverse match strengths for this record.

See also
  NetricsSearchOpts.scoreType(NetricsSearchOpts.score_types)

## ◆ getMinMatchScore()

double NetricsServerInterface.NetricsSearchResult.getMinMatchScore | ( |  | ) |
| inline

A score from 0 to 1.0 indicating the minimum of the normal and reverse match strengths for this record.

See also
  NetricsSearchOpts.scoreType(NetricsSearchOpts.score_types)

## ◆ getNamedQltConfidence()

double NetricsServerInterface.NetricsSearchResult.getNamedQltConfidence | ( | String | qlet_name | ) |
| inline

Get the confidence measure of the named querylet.

This returns the confidence of the named querylet. If no such named querylet exists it throws an exception.

Parameters

  qlet_name | the name of the querylet.

Returns
  the confidence measure of the named querylet.

## ◆ getNamedQltConfidenceArray()

double[] NetricsServerInterface.NetricsSearchResult.getNamedQltConfidenceArray | ( |  | ) |
| inline

Get the list of named querylet confidence measures, null if none.

Returns
  the list of named querylet confidence measures.

## ◆ getNamedQltScore()

double NetricsServerInterface.NetricsSearchResult.getNamedQltScore | ( | String | qlet_name | ) |
| inline

Get the match score of the named querylet.

This returns the score of the named querylet. If no such querylet exists it throws an exception.

## ◆ getNormMatchScore()

double NetricsServerInterface.NetricsSearchResult.getNormMatchScore | ( |  | ) |
| inline

A score from 0 to 1.0 indicating the normal match strength for this record.

See also
  NetricsSearchOpts.scoreType(NetricsSearchOpts.score_types)

## ◆ getNormMatchScoreQlt()

double[] NetricsServerInterface.NetricsSearchResult.getNormMatchScoreQlt | ( |  | ) |
| inline

The per-querylet normal match scores.

See also
  NetricsSearchOpts.scoreType(NetricsSearchOpts.score_types)

## ◆ getRevMatchScore()

double NetricsServerInterface.NetricsSearchResult.getRevMatchScore | ( |  | ) |
| inline

A score from 0 to 1.0 indicating the reverse match strength for this record.

See also
  NetricsSearchOpts.scoreType(NetricsSearchOpts.score_types)

## ◆ getRevMatchScoreQlt()

double[] NetricsServerInterface.NetricsSearchResult.getRevMatchScoreQlt | ( |  | ) |
| inline

The per-querylet reverse match scores.

See also
  NetricsSearchOpts.scoreType(NetricsSearchOpts.score_types)

## ◆ getRlConfidence()

double NetricsServerInterface.NetricsSearchResult.getRlConfidence | ( |  | ) |
| inline

Get the Learn Model (RLINK) confidence measure.

If the top level query is not an RLINK query or no confidence value was produced by the Learn Model -2.0 is returned.

The confidence measure is a value between 0.0 and 1.0. It gives an estimate of how confident the Model is in the prediction it made. This is based primarily on how well trained the model is for the this particular match case. A value of 0.0 indicates no confidence at all in the prediction, i.e. the model had not training in this case, so is using some default score. A value of 1.0 means complete confidence. The dividing line between good confidence values and bad ones is TBD.

Returns
  The confidence value, -2.0 if this result is not from an RLINK query or no confidence was available.

## ◆ getRlScore()

double NetricsServerInterface.NetricsSearchResult.getRlScore | ( |  | ) |
| inline

Obsolete. Use getMatchScore instead.

Returns
  the Learn model score for this record (from 0 to 1.0).

## ◆ getRlSignificances()

double[] NetricsServerInterface.NetricsSearchResult.getRlSignificances | ( |  | ) |
| inline

Get the Learn Model (RLINK) significance values.

This returns the significance array for RLINK queries. If the top level query was not an RLINK query null is returned. If this result does not represent what the Learn Model considers a match, null is returned.

There is one significance value for each querylet input to the RLINK query. Note this is not per record field, it is per input querylet. Each entry is a value between 0.0 and 1.0. The value defines the relative importance of each querylet in determining this was a match. Querylets with high significance scores were considered relevant in making the decision, querylets with low scores were not relevant. The scores are proportional values and not based on an absolute scale.

Returns
  The significance array, null if this result is not from an RLINK query.

## ◆ getSrcTblInfo()

String NetricsServerInterface.NetricsSearchResult.getSrcTblInfo | ( |  | ) |
| inline

The table info field for the table from which the record came.

Will be null if tblinfo was not set at loadtime.

## ◆ getSymMatchScore()

double NetricsServerInterface.NetricsSearchResult.getSymMatchScore | ( |  | ) |
| inline

A score from 0 to 1.0 indicating the symmetric match strength for this record.

See also
  NetricsSearchOpts.scoreType(NetricsSearchOpts.score_types)

## ◆ getSymMatchScoreQlt()

double[] NetricsServerInterface.NetricsSearchResult.getSymMatchScoreQlt | ( |  | ) |
| inline

The per-querylet symmetric match scores.

See also
  NetricsSearchOpts.scoreType(NetricsSearchOpts.score_types)

Did you find this helpful?

Yes No
Great!
Thanks for taking the time to give us some feedback.
Sorry about that

Why wasn't this helpful? (check all that apply)

Could not find what I was looking for
Instructions confusing or unclear
Instructions did not work

Want to tell us more?

Please select at least one option or provide details about the issue!!

Error occurred while submitting feedback.

Error2 occurred while submitting feedback.

TIBCO® Patterns

Copyright © 2010-2025. Cloud Software Group, Inc. All Rights Reserved.